unit uIEditorPedidoCliente;

interface

uses
  uEditorDBItem, uBizPedidosCliente, uPedidosClienteController;

type
  IEditorPedidoCliente = interface(IEditorDBItem)
  ['{244C8E63-7BA2-4C8E-A2B8-4ECCEFDB5196}']
    function GetController : IPedidosClienteController;
    procedure SetController (const Value : IPedidosClienteController);
    property Controller : IPedidosClienteController read GetController
      write SetController;

    function GetPedido: IBizPedidoCliente;
    procedure SetPedido(const Value: IBizPedidoCliente);
    property Pedido: IBizPedidoCliente read GetPedido write SetPedido;
  end;

implementation

end.
